WHM 56.0.52 to 68.0.28 - EA3 to EA4 directly possible

Trane Francks

Well-Known Member
Jun 19, 2012
104
19
68
Machida, Tokyo, Japan
cPanel Access Level
Root Administrator
Hi, all.

We're retiring a legacy server that is currently running WHM 56.0.52 on an ancient CentOS 5.11 system. We got the new box from our provider, but the new WHM 68.0.28 install on CentOS 7.4 was done with only the default EasyApache 4.

And so, here's the question:

Am I correct in my assumption that for the Transfer Tool to work seamlessly, I'll need EasyApache 3 on the new box and then migrate to EasyApache 4? If so, is there a way for me to manually install EA3 on the new box or do I need to get my provider to reinstall WHM on the new box?

Thanks for any insight.
 

Trane Francks

Well-Known Member
Jun 19, 2012
104
19
68
Machida, Tokyo, Japan
cPanel Access Level
Root Administrator
Never mind, guys. :)

I seem to have solved the problem by creating the necessary EA3 folders:

mkdir -p /usr/local/apache.ea3/{conf,htdocs,bin}​

and then running the script to revert the EA4 configuration back to EA3:

/scripts/migrate_ea3_to_ea4 --revert --run​
 

cPanelMichael

Administrator
Staff member
Apr 11, 2011
47,904
2,218
463
Hello,

I'm glad to see you were able to solve the issue. Note that you shouldn't need to revert to EasyApach 3 on the destination server for the transfer to work.

Thank you.